valadoc(1)

NAME
valadoc - Vala Documentation Tool

SYNOPSIS
valadoc [OPTION]... FILE...

DESCRIPTION
Valadoc is a documentation generator for generating API documentation from Vala source code based on libvala.

OPTIONS

--help

-b, --basedir=DIRECTORY
    Base source directory

-D, --define=SYMBOL
    Define SYMBOL

--enable-checking
    Enable additional run-time checks

--enable-deprecated
    Enable deprecated features

--enable-experimental
    Enable experimental features

--enable-experimental-non-null
    Enable experimental enhancements for non-null types

--disable-dbus-transformation
    Disable transformation of D-Bus member names

--vapidir=DIRECTORY
    Look for package bindings in DIRECTORY

--docudir=DIRECTORY
    Look for external documentation in DIRECTORY

--profile=PROFILE
    Use the given profile instead of the default

--pkg=PACKAGE
    Include binding for PACKAGE

-o, --directory=DIRECTORY
    Output directory

--wiki=DIRECTORY
    Wiki directory

--deps
    Adds packages to the documentation

-X, --doclet-arg=ARG
    Pass arguments to the doclet

--doclet=PLUGIN
    Name of an included doclet or path to custom doclet

--no-protected
    Removes protected elements from documentation

--internal
    Adds internal elements to documentation

--private
    Adds private elements to documentation

--package-name=NAME
    Package name

--package-version=VERSION
    Package version

--force
    Force

--verbose
    Show all warnings

HOMEPAGE AND BUG REPORT
http://live.gnome.org/Valadoc

AUTHORS
Florian Brosch Man page written to conform with Debian by Evan Nemerson.